<?php

namespace app\controller\api;

use support\Request;

use App\Utils\ApiResponseApp;


use App\model\Reward;
use hg\apidoc\annotation as Apidoc;
use support\Db;

/**
 * @Apidoc\Title("公共控制器?")
 */

class TurntableController
{
    protected $noNeedLogin = ['lists', 'get_project', 'get_projectdetailed', 'get_mechanism_list'];


    /**
     * @Apidoc\Title("1.0 返回抽奖配置")
     * @Apidoc\Url("api/Tturntable/lists")
     * @Apidoc\Method("POST")
     */
    public function lists(Request $request)
    {

        $res=Reward::all();
        return ApiResponseApp::success($res);
    }


    /**
     * @Apidoc\Title("1.0 抽奖点击后暂时不知道有什么用")
     * @Apidoc\Url("api/Tturntable/lottery")
     * @Apidoc\Method("POST")
     */
    public function lottery(Request $request)
    {

        $res=Reward::all();
        return ApiResponseApp::success($res);
    }

}
